summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHarri Nieminen <moikkis@gmail.com>2017-11-24 08:52:40 +0200
committerDavid Seifert <soap@gentoo.org>2017-12-02 14:03:23 +0100
commit3a74eea2c1fa3b32f774b5128cfc8b1940736458 (patch)
tree5c8601f0744a1ced642323f3d693b02289b4d1a6 /x11-terms
parentx11-terms/eterm: EAPI 3 -> 6 (diff)
downloadgentoo-3a74eea2c1fa3b32f774b5128cfc8b1940736458.tar.gz
gentoo-3a74eea2c1fa3b32f774b5128cfc8b1940736458.tar.bz2
gentoo-3a74eea2c1fa3b32f774b5128cfc8b1940736458.zip
x11-terms/eterm: Update live ebuild
Package-Manager: Portage-2.3.16, Repoman-2.3.6
Diffstat (limited to 'x11-terms')
-rw-r--r--x11-terms/eterm/eterm-9999.ebuild45
1 files changed, 10 insertions, 35 deletions
diff --git a/x11-terms/eterm/eterm-9999.ebuild b/x11-terms/eterm/eterm-9999.ebuild
index dfc9e2055db..6d24ce22d91 100644
--- a/x11-terms/eterm/eterm-9999.ebuild
+++ b/x11-terms/eterm/eterm-9999.ebuild
@@ -2,21 +2,11 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit eutils autotools
-
-MY_P=Eterm-${PV}
-
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="https://git.enlightenment.org/apps/eterm.git"
- inherit git-r3
-else
- SRC_URI="http://www.eterm.org/download/${MY_P}.tar.gz
- !minimal? ( http://www.eterm.org/download/Eterm-bg-${PV}.tar.gz )"
- KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x86-macos"
-fi
+inherit autotools git-r3
DESCRIPTION="A vt102 terminal emulator for X"
HOMEPAGE="http://www.eterm.org/"
+EGIT_REPO_URI="https://git.enlightenment.org/apps/eterm.git"
LICENSE="BSD"
SLOT="0"
@@ -24,35 +14,23 @@ IUSE="escreen minimal cpu_flags_x86_mmx cpu_flags_x86_sse2 unicode +utempter"
RDEPEND="
x11-libs/libX11
- x11-libs/libXmu
x11-libs/libXt
x11-libs/libICE
x11-libs/libSM
x11-proto/xextproto
x11-proto/xproto
- >=x11-libs/libast-0.6.1
+ x11-libs/libast
media-libs/imlib2[X]
media-fonts/font-misc-misc
escreen? ( app-misc/screen )
"
DEPEND="${RDEPEND}"
-if [[ ${PV} == "9999" ]] ; then
- S=${WORKDIR}/${P}
-else
- S=${WORKDIR}/${MY_P}
-fi
+DOCS=( ChangeLog README ReleaseNotes bg/README.backgrounds )
-src_unpack() {
- if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
- cd "${S}" || die
- eautoreconf
- else
- unpack ${MY_P}.tar.gz
- cd "${S}" || die
- use minimal || unpack Eterm-bg-${PV}.tar.gz
- fi
+src_prepare() {
+ default
+ eautoreconf
}
src_configure() {
@@ -71,11 +49,8 @@ src_configure() {
}
src_install() {
- emake DESTDIR="${D}" install
- dodoc ChangeLog README ReleaseNotes
- use escreen && dodoc doc/README.Escreen
- dodoc bg/README.backgrounds
-
+ use escreen && DOCS+=( doc/README.Escreen )
+ default
# We don't install headers to link against this library
- rm -f "${D}"/usr/*/libEterm.{so,la}
+ rm -f "${ED%/}"/usr/*/libEterm.{so,la} || die
}